package gcw.gcw5.refrect;

import java.lang.reflect.Method;

public class Main {
	public static void main(String[] args) throws Exception {
		Employee emp = new Employee(1, "emp1");
		String[] propNames = {"id", "name"};
		for (String propName : propNames) {
			// プロパティ名をメソッド名に変換(name -> getName)
			String methodName = "get" + 
				propName.substring(0, 1).toUpperCase() + 
				propName.substring(1);
			Method m = emp.getClass().getMethod(methodName);
			Object result = m.invoke(emp);
			System.out.println(propName + "=" + result);
		}
	}
}
